com.amazonaws.services.workspaces.model

## Class CreateTagsRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.workspaces.model.CreateTagsRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class CreateTagsRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

The request of the CreateTags operation.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`CreateTagsRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CreateTagsRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getResourceId()` The resource ID of the request.
`List<Tag>` `getTags()` The tags of the request.
`int` `hashCode()`
`void` `setResourceId(String resourceId)` The resource ID of the request.
`void` `setTags(Collection<Tag> tags)` The tags of the request.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateTagsRequest` `withResourceId(String resourceId)` The resource ID of the request.
`CreateTagsRequest` `withTags(Collection<Tag> tags)` The tags of the request.
`CreateTagsRequest` `withTags(Tag... tags)` The tags of the request.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CreateTagsRequest

    public CreateTagsRequest()

### Method Detail

#### setResourceId

    public void setResourceId(String resourceId)

The resource ID of the request.

Parameters:
  `resourceId` - The resource ID of the request.

#### getResourceId

    public String getResourceId()

The resource ID of the request.

Returns:
  The resource ID of the request.

#### withResourceId

    public CreateTagsRequest withResourceId(String resourceId)

The resource ID of the request.

Parameters:
  `resourceId` - The resource ID of the request.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getTags

    public List<Tag> getTags()

The tags of the request.

Returns:
  The tags of the request.

#### setTags

    public void setTags(Collection<Tag> tags)

The tags of the request.

Parameters:
  `tags` - The tags of the request.

#### withTags

    public CreateTagsRequest withTags(Tag... tags)

The tags of the request.

NOTE: This method appends the values to the existing list (if any). Use `setTags(java.util.Collection)` or `withTags(java.util.Collection)` if you want to override the existing values.

Parameters:
  `tags` - The tags of the request.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withTags

    public CreateTagsRequest withTags(Collection<Tag> tags)

The tags of the request.

Parameters:
  `tags` - The tags of the request.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CreateTagsRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`